#
# spec file for package gap-quagroup
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-quagroup
Summary:        GAP: a package for doing computations with quantum groups
Version:        1.8
Release:        lp151.2.1
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://www.science.unitn.it/~degraaf/quagroup.html

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/quagroup-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.3
Suggests:       gap-gapdoc >= 0.99

%description
The package QuaGroup contains functionality for working with
quantized enveloping algebras of finite-dimensional semisimple Lie
algebras.

%prep
%setup -qn quagroup

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 1.8
  * Added the function HWModuleByTensorProduct.
  * Removed the record QGOptions (we want the modules to tore their
  sparse matrices anyway, and also we want to store the canonical
  elements).
  * Calculation of the comultiplication map when the Hopf structure
  is twisted is a lot faster now.
* Fri May 10 2013 jengelh@inai.de
- Split quagroup (version 1.6) off the gap RPM package
